An updated Dell EqualLogic Compatibility Matrix was just posted in the last couple of days for all you storage admins. This document shows the array configurations that were tested in Dell’s lab and that work under normal conditions.

Dell EqualLogic Storage Compatibility Matrix Revision 2013.06.10 PDF

If you are using VMware vSphere 5.0, the software iSCSI initiator out of the box is compatible with array software versions 5.1.x, 5.2.x, and 6.0.x.